## deepin-devicemanager 5.7.10

=== CMakeLists.txt ===
project(deepin-devicemanager C CXX)
add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager)
add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager-server)
