=== debian/changelog ===
deepin-devicemanager (5.7.10-1) unstable; urgency=medium

  * update

 -- Packages <packages@deepin.com>  Mon, 24 Jan 2022 13:15:53 +0800

deepin-devicemanager (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <liujuna@uniontech.com>  Thu, 17 Oct 2019 20:26:49 +0800
