=== debian/control ===
Source: deepin-devicemanager
Section: devel
Priority: optional
Maintainer: Packages <packages@deepin.com>
Build-Depends: debhelper (>= 11), pkg-config, cmake, qtbase5-dev, libzmq3-dev, libdtkwidget-dev, libdtkgui-dev, qtbase5-private-dev, libdframeworkdbus-dev, libcups2-dev, libdtkcore-dev (>= 5.2.2.2),libgtest-dev,libkmod-dev,libqapt-dev,libqapt3-runtime,libpolkit-qt5-1-dev,qttools5-dev,qttools5-dev-tools,deepin-desktop-base
Standards-Version: 4.1.3

Package: deepin-devicemanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtkcore5 (>= 5.2.2.2),libkmod2
Description: Device Manager is a handy tool for viewing hardware information and managing the devices.
 Device Manager helps users manage hardware devices installed on computers,
 through which users can view parameters and export data of all hardware devices running in the system.
