=== deepin-devicemanager-server/CMakeLists.txt ===
--- 
+++ 
@@ -64,12 +64,15 @@
     DBus
     Sql 
     Network REQUIRED)
+find_package(DtkCore REQUIRED)
 
 file(GLOB_RECURSE SRC_CPP ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
 file(GLOB_RECURSE SRC_H ${CMAKE_CURRENT_LIST_DIR}/src/*.h)
 add_executable(${PROJECT_NAME} ${SRC_CPP} ${SRC_H})
 
-target_link_libraries(${APP_BIN_NAME} Qt5::Core Qt5::DBus Qt5::Sql Qt5::Network kmod QApt)
+target_link_libraries(${APP_BIN_NAME}
+    ${DtkCore_LIBRARIES}
+    Qt5::Core Qt5::DBus Qt5::Sql Qt5::Network kmod QApt)
 
 # Install files
 install(TARGETS ${APP_BIN_NAME} DESTINATION bin)
@@ -77,4 +80,6 @@
 install(FILES ${DBUS_CONFIG} DESTINATION /etc/dbus-1/system.d)
 
 #TEST--------------------------------------------------
-add_subdirectory(./tests)
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+   add_subdirectory(./tests)
+endif()
