=== deepin-devicemanager/3rdparty/QtXlsxWriter/src/xlsx/Makefile ===
#############################################################################
# Makefile for building: libQt5Xlsx.so.0.3.0
# Generated by qmake (3.1) (Qt 5.11.3)
# Project:  xlsx.pro
# Template: lib
# Command: /usr/lib/qt5/bin/qmake -o Makefile xlsx.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT -DQT_BUILD_XLSX_LIB -DQT_BUILDING_QT -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT_MOC_COMPAT -DQT_USE_QSTRINGBUILDER -DQT_DEPRECATED_WARNINGS -DQT_DISABLE_DEPRECATED_BEFORE=0x050000 -DQT_NO_EXCEPTIONS -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -O2 -fvisibility=hidden -fno-exceptions -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -O2 -std=c++1z -fvisibility=hidden -fvisibility-inlines-hidden -fno-exceptions -Wall -W -Wvla -Wdate-time -Wshift-overflow=2 -Wduplicated-cond -Wno-stringop-overflow -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I. -I../../include -I../../include/QtXlsx -I../../include/QtXlsx/0.3.0 -I../../include/QtXlsx/0.3.0/QtXlsx -I. -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui/5.11.3 -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui/5.11.3/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5 -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore/5.11.3 -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore/5.11.3/QtCore -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore -I.moc -isystem /usr/include/libdrm -I/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++
QMAKE         = /usr/lib/qt5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /usr/lib/qt5/bin/qmake -install qinstall
QINSTALL_PROGRAM = /usr/lib/qt5/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = Qt5Xlsx0.3.0
DISTDIR = /home/archermind/Desktop/QtXlsxWriter/src/xlsx/.obj/Qt5Xlsx0.3.0
LINK          = g++
LFLAGS        = -Wl,-z,relro -Wl,--as-needed -Wl,--no-undefined -Wl,--version-script,QtXlsx.version -Wl,-O1 -Wl,--enable-new-dtags -shared -Wl,-Bsymbolic-functions -Wl,-soname,libQt5Xlsx.so.0
LIBS          = $(SUBLIBS) -lQt5Gui -lQt5Core -lpthread -lGL
AR            = ar cqs
RANLIB        = 
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = xlsxdocpropscore.cpp \
		xlsxdocpropsapp.cpp \
		xlsxrelationships.cpp \
		xlsxutility.cpp \
		xlsxsharedstrings.cpp \
		xlsxcontenttypes.cpp \
		xlsxtheme.cpp \
		xlsxformat.cpp \
		xlsxstyles.cpp \
		xlsxworkbook.cpp \
		xlsxabstractsheet.cpp \
		xlsxworksheet.cpp \
		xlsxchartsheet.cpp \
		xlsxzipwriter.cpp \
		xlsxdrawing.cpp \
		xlsxzipreader.cpp \
		xlsxdocument.cpp \
		xlsxcell.cpp \
		xlsxdatavalidation.cpp \
		xlsxcellreference.cpp \
		xlsxcellrange.cpp \
		xlsxrichstring.cpp \
		xlsxconditionalformatting.cpp \
		xlsxcolor.cpp \
		xlsxnumformatparser.cpp \
		xlsxdrawinganchor.cpp \
		xlsxmediafile.cpp \
		xlsxabstractooxmlfile.cpp \
		xlsxchart.cpp \
		xlsxsimpleooxmlfile.cpp \
		xlsxcellformula.cpp .moc/moc_xlsxdocument.cpp
OBJECTS       = .obj/xlsxdocpropscore.o \
		.obj/xlsxdocpropsapp.o \
		.obj/xlsxrelationships.o \
		.obj/xlsxutility.o \
		.obj/xlsxsharedstrings.o \
		.obj/xlsxcontenttypes.o \
		.obj/xlsxtheme.o \
		.obj/xlsxformat.o \
		.obj/xlsxstyles.o \
		.obj/xlsxworkbook.o \
		.obj/xlsxabstractsheet.o \
		.obj/xlsxworksheet.o \
		.obj/xlsxchartsheet.o \
		.obj/xlsxzipwriter.o \
		.obj/xlsxdrawing.o \
		.obj/xlsxzipreader.o \
		.obj/xlsxdocument.o \
		.obj/xlsxcell.o \
		.obj/xlsxdatavalidation.o \
		.obj/xlsxcellreference.o \
		.obj/xlsxcellrange.o \
		.obj/xlsxrichstring.o \
		.obj/xlsxconditionalformatting.o \
		.obj/xlsxcolor.o \
		.obj/xlsxnumformatparser.o \
		.obj/xlsxdrawinganchor.o \
		.obj/xlsxmediafile.o \
		.obj/xlsxabstractooxmlfile.o \
		.obj/xlsxchart.o \
		.obj/xlsxsimpleooxmlfile.o \
		.obj/xlsxcellformula.o \
		.obj/moc_xlsxdocument.o
DIST          = ../../.qmake.conf \
		../../.qmake.stash \
		../../include/QtXlsx/headers.pri \
		../../mkspecs/modules-inst/qt_lib_xlsx.pri \
		../../mkspecs/modules-inst/qt_lib_xlsx_private.pri \
		../../mkspecs/modules/qt_lib_xlsx.pri \
		qtxlsx.pri \
		xlsx.pro xlsxdocpropscore_p.h \
		xlsxdocpropsapp_p.h \
		xlsxrelationships_p.h \
		xlsxutility_p.h \
		xlsxsharedstrings_p.h \
		xlsxcontenttypes_p.h \
		xlsxtheme_p.h \
		xlsxformat.h \
		xlsxworkbook.h \
		xlsxstyles_p.h \
		xlsxabstractsheet.h \
		xlsxabstractsheet_p.h \
		xlsxworksheet.h \
		xlsxworksheet_p.h \
		xlsxchartsheet.h \
		xlsxchartsheet_p.h \
		xlsxzipwriter_p.h \
		xlsxworkbook_p.h \
		xlsxformat_p.h \
		xlsxglobal.h \
		xlsxdrawing_p.h \
		xlsxzipreader_p.h \
		xlsxdocument.h \
		xlsxdocument_p.h \
		xlsxcell.h \
		xlsxcell_p.h \
		xlsxdatavalidation.h \
		xlsxdatavalidation_p.h \
		xlsxcellreference.h \
		xlsxcellrange.h \
		xlsxrichstring_p.h \
		xlsxrichstring.h \
		xlsxconditionalformatting.h \
		xlsxconditionalformatting_p.h \
		xlsxcolor_p.h \
		xlsxnumformatparser_p.h \
		xlsxdrawinganchor_p.h \
		xlsxmediafile_p.h \
		xlsxabstractooxmlfile.h \
		xlsxabstractooxmlfile_p.h \
		xlsxchart.h \
		xlsxchart_p.h \
		xlsxsimpleooxmlfile_p.h \
		xlsxcellformula.h \
		xlsxcellformula_p.h xlsxdocpropscore.cpp \
		xlsxdocpropsapp.cpp \
		xlsxrelationships.cpp \
		xlsxutility.cpp \
		xlsxsharedstrings.cpp \
		xlsxcontenttypes.cpp \
		xlsxtheme.cpp \
		xlsxformat.cpp \
		xlsxstyles.cpp \
		xlsxworkbook.cpp \
		xlsxabstractsheet.cpp \
		xlsxworksheet.cpp \
		xlsxchartsheet.cpp \
		xlsxzipwriter.cpp \
		xlsxdrawing.cpp \
		xlsxzipreader.cpp \
		xlsxdocument.cpp \
		xlsxcell.cpp \
		xlsxdatavalidation.cpp \
		xlsxcellreference.cpp \
		xlsxcellrange.cpp \
		xlsxrichstring.cpp \
		xlsxconditionalformatting.cpp \
		xlsxcolor.cpp \
		xlsxnumformatparser.cpp \
		xlsxdrawinganchor.cpp \
		xlsxmediafile.cpp \
		xlsxabstractooxmlfile.cpp \
		xlsxchart.cpp \
		xlsxsimpleooxmlfile.cpp \
		xlsxcellformula.cpp
QMAKE_TARGET  = Qt5Xlsx
DESTDIR       = ../../lib/
TARGET        = libQt5Xlsx.so.0.3.0
TARGETA       = ../../lib/libQt5Xlsx.a
TARGET0       = libQt5Xlsx.so
TARGETD       = libQt5Xlsx.so.0.3.0
TARGET1       = libQt5Xlsx.so.0
TARGET2       = libQt5Xlsx.so.0.3


first: all
####### Build rules

../../lib/$(TARGET): QtXlsx.version $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@test -d ../../lib/ || mkdir -p ../../lib/
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../lib/$(TARGET)
	-$(MOVE) $(TARGET) ../../lib/$(TARGET)
	-$(DEL_FILE) ../../lib/$(TARGET0)
	-$(DEL_FILE) ../../lib/$(TARGET1)
	-$(DEL_FILE) ../../lib/$(TARGET2)
	-$(MOVE) $(TARGET0) ../../lib/$(TARGET0)
	-$(MOVE) $(TARGET1) ../../lib/$(TARGET1)
	-$(MOVE) $(TARGET2) ../../lib/$(TARGET2)



staticlib: $(TARGETA)

$(TARGETA): QtXlsx.version $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

../../lib/libQt5Xlsx.prl: 
	@$(QMAKE) -prl xlsx.pro 
Makefile: xlsx.pro ../../.qmake.conf ../../.qmake.cache /usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++/qmake.conf /usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/sanitize.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KCodecs.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KSyntaxHighlighting.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_accessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_designer.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_devicediscovery_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dtkcore.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dtkgui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dtkwidget.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dtkwm.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_edid_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_egl_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfs_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfsdeviceintegration_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eventdispatcher_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fb_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fontdatabase_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_glx_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_help.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_input_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_linuxaccessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimedia.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimediawidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_platformcompositor_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qmltest.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quick.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quickwidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_service_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql.pri \
