=== debian/changelog ===
deepin-devicemanager (5.8.15-1) unstable; urgency=medium

  * update

 -- Packages <packages@deepin.com>  Fri, 12 Aug 2022 10:31:13 +0800

deepin-devicemanager (1.0) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <liujuna@uniontech.com>  Thu, 17 Oct 2019 20:26:49 +0800
