=== deepin-devicemanager-server/tests/CMakeLists.txt ===
--- 
+++ 
@@ -61,6 +61,7 @@
 find_package(DtkWidget REQUIRED)
 find_package(Qt5Network REQUIRED)
 find_package(DtkCore REQUIRED)
+find_package(PolkitQt5-1 REQUIRED)
 find_package(DFrameworkdbus REQUIRED)
 find_package(QApt REQUIRED)
 
@@ -105,6 +106,7 @@
     ${DFrameworkdbus_LIBRARIES}
     ${GTEST_LIBRARIES}
     ${GTEST_MAIN_LIBRARIES}
+    PolkitQt5-1::Agent
     pthread
     kmod
     QApt
