=== debian/changelog ===
deepin-devicemanager (5.8.17-1) unstable; urgency=medium

  * update

 -- Packages <packages@deepin.com>  Wed, 31 Aug 2022 09:15:11 +0800
